V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX 提问指南
walkershow
V2EX  ›  问与答

socket.io 兼容性问题

  •  
  •   walkershow · 2016-09-24 22:53:39 +08:00 · 2338 次点击
    这是一个创建于 1947 天前的主题,其中的信息可能已经有所发展或是发生改变。

    在 win10 下 ie11 edge 仿真 ie10 都正常,用仿真 ie9 就报 connection refuse 而在 win7 无论哪个版本都报无法连接 请问这是怎么回事, socket.io 官方说兼容到 ie7 ,到底我是哪弄错了 服务端是 nodejs express

    6 条回复    2016-09-25 14:04:43 +08:00
    azh7138m
        1
    azh7138m  
       2016-09-24 23:18:58 +08:00 via Android
    防火墙?
    walkershow
        2
    walkershow  
    OP
       2016-09-24 23:27:43 +08:00
    都关了, ie>9 都正常
    vghdjgh
        3
    vghdjgh  
       2016-09-24 23:55:23 +08:00
    不知道报的具体错误是什么,不过最近版本的 socket.io 存在不兼容 IE9 以下浏览器的 BUG ,用更早一点的版本就好了。
    这里有人提过: https://github.com/socketio/socket.io/issues/2650
    walkershow
        4
    walkershow  
    OP
       2016-09-25 13:42:50 +08:00
    具体错误为
    Failed to load resource: net::ERR_CONNECTION_REFUSED
    uncaught TypeError: Cannot read property 'emit' of null
    walkershow
        5
    walkershow  
    OP
       2016-09-25 13:43:18 +08:00
    一直不断重复
    walkershow
        6
    walkershow  
    OP
       2016-09-25 14:04:43 +08:00
    搞定了,谢谢兄弟们回复
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   2914 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 22ms · UTC 11:07 · PVG 19:07 · LAX 03:07 · JFK 06:07
    ♥ Do have faith in what you're doing.